DlcWeaponComponentData refer1: https://github.com/citizenfx/fivem/blob/master/code/client/clrcore/External/DlcWeaponStructs.cs#L130 refer2: https://docs.fivem.net/natives/?_0x6CF598A2957C2BF8 p0 seems to be the weapon index p1 seems to be the weapon component index struct DlcComponentData{ int attachBone; int padding1; int bActiveByDefault; int padding2; int unk; int padding3; int componentHash; int padding4; int unk2; int padding5; int componentCost; int padding6; char nameLabel[64]; char descLabel[64]; };

### Hierarchy

- DlcWeaponComponentData

## Index

### Properties

- attachBone
- bActiveByDefault
- componentCost
- componentHash
- desc
- name
- unk
- unk2

## Properties

### attachBone

attachBone: number

- Defined in weaponComponent/DlcWeaponComponentData.ts:29

### bActiveByDefault

bActiveByDefault: number

- Defined in weaponComponent/DlcWeaponComponentData.ts:30

### componentCost

componentCost: number

- Defined in weaponComponent/DlcWeaponComponentData.ts:34

### componentHash

componentHash: number

- Defined in weaponComponent/DlcWeaponComponentData.ts:32

### desc

desc: string

- Defined in weaponComponent/DlcWeaponComponentData.ts:36

### name

name: string

- Defined in weaponComponent/DlcWeaponComponentData.ts:35

### unk

unk: number

- Defined in weaponComponent/DlcWeaponComponentData.ts:31

### unk2

unk2: number

- Defined in weaponComponent/DlcWeaponComponentData.ts:33

Generated using TypeDoc